package xyz.veronie.bgg.ui.helpers;

import java.net.URL;

import org.eclipse.core.runtime.FileLocator;
import org.eclipse.core.runtime.Path;
import org.eclipse.jface.resource.ImageDescriptor;
import org.osgi.framework.Bundle;
import org.osgi.framework.FrameworkUtil;

public class ResourceManager {
	
	public static ImageDescriptor getPluginImageDescriptor(String plugin, String imagePath) {
		Bundle bundle = FrameworkUtil.getBundle(ResourceManager.class);
		// use the org.eclipse.core.runtime.Path as import
		URL url = FileLocator.find(bundle,
		    new Path(imagePath), null);
		ImageDescriptor imageDescriptor = ImageDescriptor.createFromURL(url);
		return imageDescriptor;
	}
	
}
